# Update Permissions for a User

Update Permissions for a User

Endpoint: POST /users/{user_id}/permissions
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `user_id` (integer, required)
    Numeric ID of the user

## Request fields (application/json):

  - `permissions` (object, required)

  - `permissions.organization_ids` (array)

  - `permissions.agency_ids` (array)

  - `permissions.advertiser_ids` (array)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)

  - `data.permissions` (object)
    available only when extended

  - `data.permissions.organizations` (array)

  - `data.permissions.organizations.id` (integer)

  - `data.permissions.organizations.create` (boolean)

  - `data.permissions.organizations.read` (boolean)

  - `data.permissions.organizations.update` (boolean)

  - `data.permissions.organizations.delete` (boolean)

  - `data.permissions.agencies` (array)

  - `data.permissions.advertisers` (array)

  - `meta` (object)

  - `meta.status` (string)
    Example: success

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 409 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

